Skip to main content
GET
/
get-vessel-engine-data
Get Vessel Engine Data
curl --request GET \
  --url https://datadocked.com/api/vessels_operations/get-vessel-engine-data \
  --header 'x-api-key: <api-key>'
{
  "detail": {
    "name": "<string>",
    "imo": "<string>",
    "mmsi": "<string>",
    "engine": {
      "fuelType": "<string>",
      "Propeller": "<string>",
      "engineType": "<string>",
      "engineBuilder": "<string>",
      "enginePower(kW)": "<string>"
    }
  }
}
Retrieve vessel engine specifications including fuel type, propeller information, engine type, builder, and power output.
Credits: 1 credit per request

Response Fields

  • Fuel Type: Type of fuel used (e.g., Marine Diesel, HFO)
  • Propeller: Propeller configuration and specifications
  • Engine Type: Engine model designation
  • Engine Builder: Engine manufacturer
  • Engine Power: Power output in kW

Authorizations

x-api-key
string
header
required

Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys

Query Parameters

imo_or_mmsi
string
required

The IMO or MMSI number of the vessel you want to query.

Response

Successful response with engine data

detail
object